Bug 1342790 - Disable Smart State Analysis button when no SmartProxy server is found
Summary: Disable Smart State Analysis button when no SmartProxy server is found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Erez Freiberger
QA Contact: Einat Pacifici
URL:
Whiteboard: ui:smartstate:flash_msg
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-05 10:25 UTC by Pavel Zagalsky
Modified: 2018-04-17 08:03 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:20:52 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:
epacific: automate_bug+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Pavel Zagalsky 2016-06-05 10:25:16 UTC
Description of problem:
If the user attempts to run Smart State Analysis when the it's disabled in settings he should see a message that warns that it's actually disabled and he should be pointed to Settings where he can enable it

How reproducible:

Steps to Reproduce:
1. Disable the Smart State Analysis in Settings.
2.Try to run a Smart State Analysis on a Container image

Actual results:
The user will not see any indication that the operation does not in fact run

Expected results:
The user should see some kind of indication that the operation cannot be run due to Settings and should be directed to the menu to enable and rerun

Comment 2 Pavel Zagalsky 2016-06-05 11:47:43 UTC
Same thing for  Capacity & Utilization  Settings

Comment 5 Harpreet Kataria 2017-02-28 14:03:19 UTC
Erez,

Sending this your way since you already have a PR to fix this issue.

~Harpreet

Comment 6 Erez Freiberger 2017-02-28 14:05:28 UTC
PR: https://github.com/ManageIQ/manageiq/pull/13320

This will disable the option to click the SmartState Analysis button in case no Smart Proxy / Smart State server is found in the current zone.

Comment 7 Erez Freiberger 2017-03-07 08:13:22 UTC
the PR I posted before was wrong, https://github.com/ManageIQ/manageiq-ui-classic/pull/273 is the correct one and it is merged now.

Comment 8 Federico Simoncelli 2017-03-07 08:35:20 UTC
Erez shouldn't we update the title of this bugzilla? We aren't giving a warning message IIUC, we're preventing the ability to run it right?

Comment 10 errata-xmlrpc 2017-05-31 14:20:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.